package com.goafanti.common.enums;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

public enum NoticeReadStatus {
	
	UNREAD(0, "通知未读"),
	READED(1, "通知已读"),
	OTHER(2, "其他");

	private NoticeReadStatus(Integer code, String desc) {
		this.code = code;
		this.desc = desc;
	}

	private static Map<Integer, NoticeReadStatus> status = new HashMap<Integer, NoticeReadStatus>();

	static {
		for (NoticeReadStatus value : NoticeReadStatus.values()) {
			status.put(value.getCode(), value);
		}
	}

	public static NoticeReadStatus getStatus(Integer code) {
		if (containsType(code)) {
			return status.get(code);
		}
		return OTHER;
	}

	public static NoticeReadStatus getStatus(String code) {
		if (StringUtils.isNumeric(code)) {
			return getStatus(Integer.parseInt(code));
		}
		return OTHER;
	}

	public static boolean containsType(Integer code) {
		return status.containsKey(code);
	}

	private Integer	code;
	private String	desc;

	public Integer getCode() {
		return code;
	}

	public String getDesc() {
		return desc;
	}

}
